
Summary: Config files for kde
Name:	 kde-config
Version: 3.5
Release: 14%{?dist}

Group:   System Environment/Base
License: Public Domain
Source0: kde-config-%{version}-10.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

Requires: kdelibs >= %{version}

Source10: xdg_env-hack.sh

%description
%{summary}.


%package kdm
Summary: Config files for kdebase(kdm)
Group:	 System Environment/Base
#Obsoletes: %{name}-kdebase < %{version}-%{release}
#Provides:  %{name}-kdebase = %{version}-%{release}
Requires: kdebase-kdm >= %{version}
%if 0%{?fedora} > 3 || 0%{?rhel} > 4
Requires: redhat-artwork
%endif
Requires: xorg-x11-xdm
#Requires: /etc/X11/xdm/Xaccess
#Requires: /etc/X11/xdm/Xsetup_0
#Requires: /etc/X11/xdm/Xwilling
#if 0%{fedora} > 4 || 0%{?rhel} > 4
#Requires: /etc/X11/xinit/Xsession
#else
#Requires: /etc/X11/xdm/Xsession
#endif
%description kdm
%{summary}.


%prep
%setup -c -n %{name}

# Use Bluecurve Theme if available
%if 0%{?fedora} > 3  || 0%{?rhel} > 4
sed -i \
  -e "s|^#Theme=.*|Theme=%{_datadir}/apps/kdm/themes/Bluecurve|" \
  -e "s|^Theme=.*|Theme=%{_datadir}/apps/kdm/themes/Bluecurve|" \
  -e "s|^#UseTheme=.*|UseTheme=true|" \
  -e "s|^UseTheme=.*|UseTheme=true|" \
  etc/kde/kdm/kdmrc 
sed -i \
  -e "s|^#Theme=.*|Theme=Bluecurve|" \
  -e "s|^Theme=.*|Theme=Bluecurve|" \
  usr/share/config/ksplashrc
%endif

# or better yet, FedoraDNA
%if 0%{?fedora} > 5
sed -i \
  -e "s|^#Theme=.*|Theme=%{_datadir}/apps/kdm/themes/FedoraDNA|" \
  -e "s|^Theme=.*|Theme=%{_datadir}/apps/kdm/themes/FedoraDNA|" \
  -e "s|^#UseTheme=.*|UseTheme=true|" \
  -e "s|^UseTheme=.*|UseTheme=true|" \
  etc/kde/kdm/kdmrc
%endif


%build
# Intentionally left blank.  Nothing to see here.


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT

tar cpf - etc/ usr/ | tar --directory $RPM_BUILD_ROOT -xvpf -

touch %{name}.list

#for file in `find . -type f` ; do
#  install -m644 -p -D $file $RPM_BUILD_ROOT/$file
#  file_tmp=`echo $file | sed -e 's|^\.||'`
#  echo "%config(noreplace) $file_tmp" >> %{name}.list
#done

# kdebase/kdm
mkdir -p $RPM_BUILD_ROOT{%{_datadir}/config},%{_sysconfdir}/kde/kdm}
rm -rf   $RPM_BUILD_ROOT%{_datadir}/config/kdm
ln -sf ../../../etc/kde/kdm $RPM_BUILD_ROOT%{_datadir}/config/kdm

# xdg_config_dirs-hack
install -D -p -m755 %{SOURCE10} $RPM_BUILD_ROOT%{_sysconfdir}/kde/env/xdg_env-hack.sh


%clean
rm -rf $RPM_BUILD_ROOT


## Use pre or triggerun kdebase ?  -- Rex
#triggerun kdebase < 6:3.5.5
#if [ $2 -gt 0 ]; then
%pre kdm
## KDM fixup(s)
# handle move from /etc/X11/xdm/kdmrc to /etc/kde/kdm/kdmrc
[ -L %{_sysconfdir}/kde/kdm/kdmrc ] && \
  mv -v %{_sysconfdir}/kde/kdm/kdmrc %{_sysconfdir}/kde/kdm/kdmrc.rpmorig ||:
# handle %%_datadir/config/kdm -> /etc/kde/kdm
[ -d %{_datadir}/config/kdm -a ! -L %{_datadir}/config/kdm ] && \
  mv -v %{_datadir}/config/kdm %{_datadir}/config/kdm.rpmorig ||:

%post kdm
## KDM fixup(s)
# handle move from /etc/X11/xdm/kdmrc to /etc/kde/kdm/kdmrc
[ ! -f %{_sysconfdir}/kde/kdm/kdmrc -a -f %{_sysconfdir}/kde/kdm/kdmrc.rpmnew ] && \
  cp -a %{_sysconfdir}/kde/kdm/kdmrc.rpmnew %{_sysconfdir}/kde/kdm/kdmrc ||:



%files -f %{name}.list
%defattr(-,root,root,-)
%{_sysconfdir}/skel/.kde/
%config(noreplace) %{_sysconfdir}/kderc
%config(noreplace) %{_datadir}/config/*
# belongs in -kdm below
%exclude %{_datadir}/config/kdm

%files kdm
%defattr(-,root,root,-)
%{_sysconfdir}/kde/env/xdg_*-hack.sh
# compat symlink
%{_datadir}/config/kdm
%dir %{_sysconfdir}/kde/kdm
%config(noreplace) %{_sysconfdir}/kde/kdm/backgroundrc
%config(noreplace) %{_sysconfdir}/kde/kdm/kdmrc
%ghost %config(missingok,noreplace) %verify(not md5 size mtime) %{_sysconfdir}/kde/kdm/kdmrc.bak
%ghost %config(missingok,noreplace) %verify(not md5 size mtime) %{_sysconfdir}/kde/kdm/README*
%{_sysconfdir}/kde/kdm/Xaccess
%{_sysconfdir}/kde/kdm/Xresources
%{_sysconfdir}/kde/kdm/Xsession
%{_sysconfdir}/kde/kdm/Xwilling
%{_sysconfdir}/kde/kdm/Xservers
%{_sysconfdir}/kde/kdm/Xsetup
# hack needed for older rpm's
#exclude %{_sysconfdir}/X11/xdm/X*


%changelog
* Fri Jan 05 2007 Rex Dieter <rdieer[AT]fedoraproject.org> 3.5-14
- +Requires: kdelibs
- -kdm: +Requires: kdebase-kdm

* Fri Nov 17 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.5-13
- mv xdg_config_dirs-hack to env startup script instead of autostart konsole app.
- rename -kdebase -> -kdm
- drop circular dependency crud.

* Fri Oct 27 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.5-12
- %%exclude %%_datadir/config/kdm (from main pkg)
- ksmserverrc: loginMode=restoreSavedSession

* Fri Oct 27 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.5-10
- kwinrc: PluginLib=kwin_plastik (from kwin_bluecurve)
- xdg_config_dirs-hack: backup existing $HOME/.config/menus

* Thu Oct 24 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.5-7
- fixup %%pre/%%post to properly handle kdmrc move
- xdg_config_dirs-hack: don't run on *every* login

* Tue Oct 24 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.5-6
- xdg_config_dirs-hack: hack to force (re)run of kbuildsycoca if a
  change in $XDG_CONFIG_DIRS is detected. 

* Tue Oct 24 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.5-5
- kdmrc: prefer FedoraDNA,Bluecurve Themes respectively (if available)
- kdeglobals: (Icon) Theme=Bluecurve (minimize migration pain)

* Mon Oct 23 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.5-4
- kdeglobals: [Locale] US-centric defaults

* Tue Oct 17 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.5-3
- -kdebase: own %%_sysconfdir/kde/kdm, %%_datadir/config/kdm

* Wed Oct 11 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.5-2
- actually include something this time

* Wed Oct 11 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.5-1
- first try

